--
-- c_car_paint.lua
--

local carPaintEnabled = false


	function main()
		-- Version check
		local ver = getVersion ().sortable
		local type = string.sub( ver, 7, 7 )
		local build = string.sub( ver, 9, 13 )
		if build < "02888" and type ~= "1" or ver < "1.1.0" then
			outputChatBox( "Resource is not compatible with this client." )
			outputChatBox( "Please get latest 1.1 nightly from nightly.mtasa.com" )
			return
		end

		-- Create shader
		local myShader, tec = dxCreateShader ( "car_paint.fx" )

		if not myShader then
			outputChatBox( "Could not create shader. Please use debugscript 3" )
			return
		end
		
		outputChatBox( "Car paint shader is disabled. Press F2 to toggle it." )

		-- Set textures
		local textureVol = dxCreateTexture ( "images/smallnoise3d.dds" );
		local textureCube = dxCreateTexture ( "images/cube_env256.dds" );
		dxSetShaderValue ( myShader, "microflakeNMapVol_Tex", textureVol );
		dxSetShaderValue ( myShader, "showroomMapCube_Tex", textureCube );
		toggle()

				end
				

	function toggle()
			if carPaintEnabled then
				engineRemoveShaderFromWorldTexture( myShader, "vehiclegrunge256" )
				carPaintEnabled = false
			else
				engineApplyShaderToWorldTexture ( myShader, "vehiclegrunge256" )
				carPaintEnabled = true

				end
				end
	
	
	
	addEventHandler("onClientResourceStart",getResourceRootElement(getThisResource()),main)
	
	
	
	
	bindKey ( "F2", "down", toggle)
	addCommandHandler( "shade", toggle)
	

